varying vec4 vDiffuse;
varying vec4 vAmbient;

varying vec3 vNormalEyeSpace;
varying vec3 vLightDir;
varying vec3 vHalfVector;

vec4 doAmbientLighting( gl_LightSourceParameters light ) {
	return(
		// Compute the AMBIENT and globalAmbient terms
		gl_FrontMaterial.ambient * light.ambient +
		// global ambient
		gl_LightModel.ambient * gl_FrontMaterial.ambient
	);
}
vec4 doDiffuseLighting( gl_LightSourceParameters light ) {
	// Compute the DIFFUSE term
	return gl_FrontMaterial.diffuse * light.diffuse;
}

void main() {
	vNormalEyeSpace = normalize( gl_NormalMatrix * gl_Normal );
	vLightDir = normalize( vec3( gl_LightSource[0].position ) );
	vHalfVector = normalize( gl_LightSource[0].halfVector.xyz );
	
	vDiffuse = doDiffuseLighting( gl_LightSource[0] );
	vAmbient = doAmbientLighting( gl_LightSource[0] );	
	
	gl_TexCoord[0] = gl_MultiTexCoord0;
	
	gl_Position = ftransform();
}